Enemy = Object:extend()

Enemy.imageSnake = love.graphics.newImage("img/snake.png")
Enemy.imageDevil = love.graphics.newImage("img/devil.png")
Enemy.selectedImage = Enemy.imageSnake

function Enemy:new()
    self.image = Enemy.selectedImage 
    self.x = 325
    self.y = wHeight - 130
    self.speed = 100
    self.width = self.image:getWidth()
    self.height = self.image:getHeight()
end

function Enemy:update(dt)
    self.x = self.x + self.speed * dt
    self.y = wHeight - 130
    
    local window_width = love.graphics.getWidth()
    
    if self.x < 0 then
        self.x = 0
        self.speed = -self.speed
    elseif self.x + self.width > window_width then
        self.x = window_width - self.width
        self.speed = -self.speed
    end
end

function Enemy:draw()
    love.graphics.draw(self.image, self.x, self.y)
end

function EnemySetImage(p)
    
    if p == 'snake' then
        Enemy.selectedImage = Enemy.imageSnake
    elseif p == 'devil' then
        Enemy.selectedImage = Enemy.imageDevil
    end

end

function EnemyGetImage()
    return Enemy.selectedImage
end